function [poix,poiy] = axesset(axesmain,crosspoint)
set(axesmain,...
    'Box','off',...
    'Xcolor','w',...
    'Ycolor','w',...
    'Visible','off');
position = get(axesmain,'Position');
Xaxis = get(axesmain,'XLim');
Yaxis = get(axesmain,'YLim');
diry  = get(axesmain,'YDir');
%% Y
if crosspoint(1)<mean(Xaxis)
    position_new = position + position(3)*[max(crosspoint(1)-Xaxis(1),0)/(Xaxis(2)-Xaxis(1)),0,-max(crosspoint(1)-Xaxis(1),0)/(Xaxis(2)-Xaxis(1)),0];
    poiy = axes('Position',position_new,...
        'Color','none',...
        'XTick',[],...
        'XColor','w',...
        'YTick',get(axesmain,'YTick'),...
        'YTickLabel',get(axesmain,'YTickLabel'),...
        'YLim',get(axesmain,'YLim'),...
        'YAxisLocation','left',...
        'YDir',get(axesmain,'YDir'));
else
    position_new = position + position(3)*[0,0,-max(Xaxis(2)-crosspoint(1),0)/(Xaxis(2)-Xaxis(1)),0];
    poiy = axes('Position',position_new,...
        'Color','none',...
        'XTick',[],...
        'XColor','w',...
        'YTick',get(axesmain,'YTick'),...
        'YTickLabel',get(axesmain,'YTickLabel'),...
        'YLim',get(axesmain,'YLim'),...
        'YAxisLocation','right',...
        'YDir',get(axesmain,'YDir'));
end
%% X
if crosspoint(2)<mean(Yaxis)
    if strmatch('normal',diry)
        position_new = position + position(4)*[0,max(crosspoint(2)-Yaxis(1),0)/(Yaxis(2)-Yaxis(1)),0,-max(crosspoint(2)-Yaxis(1),0)/(Yaxis(2)-Yaxis(1))];
        poix = axes('Position',position_new,...
        'Color','none',...
        'YTick',[],...
        'YColor','w',...
        'XTick',get(axesmain,'XTick'),...
        'XTickLabel',get(axesmain,'XTickLabel'),...
        'XLim',get(axesmain,'XLim'),...
        'XAxisLocation','bottom');
    else
        position_new = position + position(4)*[0,0,0,-max(crosspoint(2)-Yaxis(1),0)/(Yaxis(2)-Yaxis(1))];
        poix = axes('Position',position_new,...
        'Color','none',...
        'YTick',[],...
        'YColor','w',...
        'XTick',get(axesmain,'XTick'),...
        'XTickLabel',get(axesmain,'XTickLabel'),...
        'XLim',get(axesmain,'XLim'),...
        'XAxisLocation','top');
    end
else
    if strmatch('normal',diry)
        position_new = position + position(4)*[0,0,0,-max(Yaxis(2)-crosspoint(2),0)/(Yaxis(2)-Yaxis(1))];
        poix = axes('Position',position_new,...
        'Color','none',...
        'YTick',[],...
        'YColor','w',...
        'XTick',get(axesmain,'XTick'),...
        'XTickLabel',get(axesmain,'XTickLabel'),...
        'XLim',get(axesmain,'XLim'),...
        'XAxisLocation','top');
    else
        position_new = position + position(4)*[0,max(Yaxis(2)-crosspoint(2),0)/(Yaxis(2)-Yaxis(1)),0,-max(Yaxis(2)-crosspoint(2),0)/(Yaxis(2)-Yaxis(1))];
        poix = axes('Position',position_new,...
        'Color','none',...
        'YTick',[],...
        'YColor','w',...
        'XTick',get(axesmain,'XTick'),...
        'XTickLabel',get(axesmain,'XTickLabel'),...
        'XLim',get(axesmain,'XLim'),...
        'XAxisLocation','bottom');
    end
end
uistack(axesmain , 'top');